Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache
Class WorkspaceNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.jcr.cache.WorkspaceNotFoundException

All Implemented Interfaces:
  Serializable

    public class WorkspaceNotFoundException

extends RuntimeException

An exception signalling that a node does not exist.

See Also:
  Serialized Form

Constructor Summary
`WorkspaceNotFoundException(String name)`
`WorkspaceNotFoundException(String name, String message)`
`WorkspaceNotFoundException(String name, String message, Throwable cause)`
`WorkspaceNotFoundException(String name, Throwable cause)`

Method Summary
`String` | `getName()` Get the name of the workspace that was not found.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkspaceNotFoundException

    public WorkspaceNotFoundException(String name)

Parameters:
  `name` - the workspace name

### WorkspaceNotFoundException

    public WorkspaceNotFoundException(String name,
                                      String message)

Parameters:
  `name` - the workspace name
  `message` - the message

### WorkspaceNotFoundException

    public WorkspaceNotFoundException(String name,
                                      Throwable cause)

Parameters:
  `name` - the workspace name
  `cause` - the cause of this exception

### WorkspaceNotFoundException

    public WorkspaceNotFoundException(String name,
                                      String message,
                                      Throwable cause)

Parameters:
  `name` - the workspace name
  `message` - the message
  `cause` - the cause of this exception

Method Detail

### getName

    public String getName()

  Get the name of the workspace that was not found.

  Returns:
    the workspace name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.